diff --git a/SMP-analyze.sh b/SMP-analyze.sh
index 6bc79a5a6ba1cf0fd091c072b9d6a7b6e808370c..9eda475d1ed13c7509d1b209a04cccec99a3057f 100755
--- a/SMP-analyze.sh
+++ b/SMP-analyze.sh
@@ -42,7 +42,7 @@ if [ ! -f ${IDAROOT}/libida.so ]; then echo IDAROOT is set poorly, please fix.;
 # remove tmp files
 rm -f $1.id? $1.{nam,til,log,syms} `basename $1 .ncexe`.id?
 
-old_stty=`stty -g`
+old_stty=`stty -g` || true
 
 
 
@@ -72,8 +72,8 @@ fi
 
 
 # SMP seems to mess up the terminal, using this to fix it.
-/usr/bin/reset 
-stty $old_stty
+/usr/bin/reset  || true
+stty $old_stty || true
 
 # Get the output file SMP.syms into $1.syms.
 # mv SMP.annot $1.annot